$(document).ready(function(){
	if($("#map").length) {
		var latlng = new google.maps.LatLng(38.834961,0.1211);
        var settings = {
            zoom: 15,
            center: latlng,
            mapTypeControl: true,
            mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
            navigationControl: true,
            navigationControlOptions: {style: google.maps.NavigationControlStyle.SMALL},
            mapTypeId: google.maps.MapTypeId.ROADMAP
    	};
			var map = new google.maps.Map(document.getElementById("map"), settings);
			var companyLogo = new google.maps.MarkerImage('img/logo_pin.png',
			new google.maps.Size(150,60),
			new google.maps.Point(0,0),
			new google.maps.Point(75,60)
		);
		var companyShadow = new google.maps.MarkerImage('img/logo_shadow.png',
		new google.maps.Size(150,60),
		new google.maps.Point(0,0),
		new google.maps.Point(75,65)
		);
		var companyPos = new google.maps.LatLng(38.834961,0.1211);
		var companyMarker = new google.maps.Marker({
		position: companyPos,
		map: map,
		icon: companyLogo,
		shadow: companyShadow,
		title:"Un Colp al Mar. Vins de la Marina"
		});
	}
		
		$('.myButton').click(function(){
				$('.compra').slideDown();					  
		});
		$('#cerrarCompra').click(function(){
				$('.compra').hide();					  
		});
				
		 $('#contact-form').validate(
			 {
			  rules: {
				name: {
				  minlength: 2,
				  required: true
				},
				email: {
				  required: true,
				  email: true
				},
				phone: { 
					minlength: 2,
					maxlength: 15,
					required: true
				},
				subject: {
				  minlength: 2,
				  required: true
				},
				message: {
				  minlength: 2,
				  required: true
				},
				direccion: {
				  minlength: 2,
				  required: true
				},
				cantidad: {
				  required: true
				},
				mayor:{
				 required: true, 
				}
			  },
			  messages: {
					name: "El campo nombre es obligatorio",
					email : "El campo email es obligatorio y debe tener formato correcto",
					phone : "Formato de tel&eacute;fono incorrecto",
					subject : "El campo asunto es obligatorio",
					message : "El campo comentarios es obligatorio",
					direccion : "El campo direccion es obligatorio",
					cantidad : "El campo cantidad es obligatorio",
					mayor : "Debes ser mayor de edad",
				},
			  highlight: function(element) {
				$(element).closest('.control-group').removeClass('success').addClass('error');
			  },
			  success: function(element) {
				element
				.text('OK!').addClass('valid')
				.closest('.control-group').removeClass('error').addClass('success');
			  }
			 });
		 
		 
});


